## ros-kinetic-grizzly-desktop 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(grizzly_desktop)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-grizzly-desktop (0.3.2-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 08 Jun 2018 04:00:00 -0000

ros-kinetic-grizzly-desktop (0.3.1-0xenial) xenial; urgency=high

  * Removed un-needed deps and updated maintainer.
  * 0.3.0
  * Changes.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 07 Jun 2018 04:00:00 -0000

ros-kinetic-grizzly-desktop (0.3.0-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 07 Jun 2018 04:00:00 -0000

ros-kinetic-grizzly-desktop (0.2.1-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Dec 2014 05:00:00 -0000

ros-kinetic-grizzly-desktop (0.2.0-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 18 Dec 2014 05:00:00 -0000

ros-kinetic-grizzly-desktop (0.1.2-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sat, 30 Nov 2013 05:00:00 -0000

ros-kinetic-grizzly-desktop (0.1.1-0xenial) xenial; urgency=high

  * Add grizzly_desktop metapackage.
  * Add grizzly_desktop metapackage.

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sat, 30 Nov 2013 05:00:00 -0000

ros-kinetic-grizzly-desktop (0.1.0-0xenial) xenial; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sat, 30 Nov 2013 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-grizzly-desktop
Section: misc
Priority: extra
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-grizzly-desktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-grizzly-msgs, ros-kinetic-grizzly-viz
Description: Metapackage of things you want to visualize and control Grizzly from a desktop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-grizzly-desktop//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
